﻿
#DATA_PATH = "../data/"
#TILE_SIZE = 20
#SHADOW_RADIUS = 6
#MAP_WIDTH = 120
#MAP_HEIGHT = 120
; TODO: Aus der XML lesen

; Global variables
Global Fullscreen = 0
Global Title.s = "ESCape - Build " + Str(#PB_Editor_BuildCount)
Global Screen.ScreenDimension\width = 800
Screen.ScreenDimension\height = 600

; Player
Global Player.Tile\X = 0
Player.Tile\Y = 0
Player.Tile\TileNumber = 0

; Camera
Global Cam.Camera\X = 0
Cam.Camera\Y = 0
Cam.Camera\Width = (Screen\Width/#TILE_SIZE)-1
Cam.Camera\Height = (Screen\Height/#TILE_SIZE)-1
Cam.Camera\Padding = 10

NewMap GameStates.GameState()
Global NewMap Menus.GameMenu()
Global CurrentState.s = "MAIN_MENU"
Global *ActiveMenu.GameMenu

; Fonts
Global Font_H1 = LoadFont(1, "Arial", 40, #PB_Font_Bold)
Global Font_H2 = LoadFont(2, "Verdana", 18)
Global Font_H3 = LoadFont(3, "Verdana", 10)

; Graphics
Global GFXLogo.i
Global GFXTileset.i
Global Dim Tileset.i(36)

; Sounds
Global MenuSoundStarted = 0
LoadSound(0, #DATA_PATH + "sound/menu_change.wav")
LoadSound(1, #DATA_PATH + "sound/menu_select.wav")
LoadSound(2, #DATA_PATH + "sound/title_song.wav")

; Map
Global Dim TileMap.Tile(#MAP_WIDTH, #MAP_HEIGHT)
Global Dim ShadowMap.Shadow(#MAP_WIDTH, #MAP_HEIGHT)