﻿; Here we draw stuff on screen. These are the dispatch
; functions which will be called from the state dispatch
; process.


; Draw the current activated menu. This will be set from
; the dispatcher. The events are controlled by the
; HandleEventMenu() function.
Procedure DrawMenu()
  DisplaySprite(GFXLogo, 160, 50)
  
  StartDrawing(ScreenOutput())
    Define Black = RGB(0, 0, 0)
    Define White = RGB(255, 255, 255)
    Define ActiveMenuItemColor = RGB(255, 0, 0)
    
    ;DrawingFont(Font_H1)
    ;DrawText(50, 50, *ActiveMenu\Title, white, black)
    
    Define Offset = 0
    Define FontColor = White
    ForEach *ActiveMenu\Entries()
      If *ActiveMenu\Entries()\Selected
        FontColor = ActiveMenuItemColor
      Else
        FontColor = White
      EndIf
      
      DrawingFont(Font_H2)
      DrawText(200, 350+(Offset*30), *ActiveMenu\Entries()\Label, FontColor, Black)
      Offset = Offset+1
    Next
  StopDrawing()
EndProcedure


Procedure DrawRunningGame()
  DrawMap()
  
  CalculateShadow()
  DrawShadow()
  
  DrawPlayer()
  
  DrawHUD()
EndProcedure
