﻿; This file holds all structs so we can include it in every
; file we need it.

Structure ScreenDimension
  Width.i
  Height.i
EndStructure

Prototype DRAW()
Prototype HANDLE_EVENTS()

Structure GameState
  DrawFun.DRAW
  HandleEventFun.HANDLE_EVENTS
EndStructure

Structure GameMenuItem
  Label.s
  TargetState.s
  Selected.b
EndStructure

Structure GameOptionItem
  List Options.s()
  CurrentPosition.i
  Selected.b
EndStructure

Structure GameMenu
  Title.s
  List Entries.GameMenuItem()
EndStructure

Structure Tile
  X.i
  Y.i
  TileNumber.i
  Health.i
EndStructure

Structure Shadow
  X.i
  Y.i
  Strength.i
EndStructure

Structure Camera
  X.i
  Y.i
  Width.i
  Height.i
  Padding.i
EndStructure
